//original xblackfog from sfx directory, tweaked fogparms opactiy

textures/cc_spray/zfog
{
	qer_editorimage textures/ghost-dfwc11/fog_black.tga
	qer_nocarve
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0 0 0 ) 50000
}

//Lightmaps compatible

textures/cc_spray/pallette_top_lm
{
	qer_editorimage textures/evil5_misc/pallette_top.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{ 
		map textures/evil5_misc/pallette_top.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_spray/u_supp_2_lm
{
	qer_editorimage textures/andromeda_grates/u_supp_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/andromeda_grates/u_supp_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_spray/u_gr8_12a_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_12.tga
	surfaceparm nonopaque
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_12.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//end Lightmaps

textures/cc_spray/bubble
{
	qer_editorimage textures/cc_spray/bubble
	deformVertexes autosprite
     	surfaceparm	trans
     	nomipmaps
	cull none
	{
		map textures/cc_spray/bubble.tga
		blendfunc add
	}
}

textures/cc_spray/lava
{
	qer_editorimage textures/cc_spray/lava.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 100
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/cc_spray/lava.tga
	}
}


textures/cc_spray/tele
{
	qer_editorimage textures/cc_spray/tele.tga
	surfaceparm trans
	surfaceparm nomarks
	cull disable
	qer_trans 0.5
	{
		map textures/effects/envmappurp.tga
		blendfunc add
		rgbGen const ( 0.564706 0.564706 0.564706 )
		tcMod scale 1.5 1.5
		tcGen environment 
	}
	{
		map textures/spray_sfx/mirror.tga
		blendfunc add
		rgbGen const ( 0.243137 0.243137 0.243137 )
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}
textures/cc_spray/mis-rockwall
{
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/cc_spray/mis-rockwall.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}

			
}



	
textures/cc_spray/lavasmog
{
	qer_editorimage textures/cc_spray/lavasmog.tga
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	cull none
	deformVertexes autosprite2
	deformVertexes wave 50 sin 0 4 0 0.3
	deformVertexes move 0.3 0.1 0 sin 0 0.5 0 0.2
	{
		map textures/cc_spray/lavasmog.tga
		tcMod scroll 0 0.3
//		rgbGen Vertex				// Hides texture!
		blendfunc add
	}
}
textures/cc_spray/bgmp1_steam01
{
	qer_editorimage textures/cc_spray/bgmp1_steam_add.tga
	qer_trans 0.3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nodlight
	surfaceparm trans
	cull none
	deformVertexes autosprite2
	deformVertexes wave 50 sin 0 4 0 0.3
	deformVertexes move 0.3 0.1 0 sin 0 0.5 0 0.2
	{
		map textures/cc_spray/bgmp1_steam_add.tga
		tcMod scroll 0 0.3
//		rgbGen Vertex				// Hides texture!
		blendfunc add
	}
}

textures/cc_spray/arrow
{
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/cc_spray/arrow.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}

