//original xblackfog from sfx directory, tweaked fogparms

textures/cc_ghospray/fog_blue
{
	qer_editorimage textures/ghost-dfwc11/fog_black.tga
	qer_nocarve
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0 0 .15 ) 50000
}

//external lightmaps compatible

textures/cc_ghospray/floor_grate2
{
	qer_editorimage textures/ghost_custom/gr8_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{ 
		map textures/ghost_custom/gr8_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_ghospray/floor_grate
{
	qer_editorimage textures/ghost_custom/gr8.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{ 
		map textures/ghost_custom/gr8.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_ghospray/pallette_top_lm
{
	qer_editorimage textures/evil5_misc/pallette_top.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip

	{ 
		map textures/evil5_misc/pallette_top.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_spray/u_supp_2_lm
{
	qer_editorimage textures/andromeda_grates/u_supp_2.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/andromeda_grates/u_supp_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/cc_spray/u_gr8_12a_lm
{
	qer_editorimage textures/andromeda_grates/u_gr8_12.tga
   	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/andromeda_grates/u_gr8_12.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

//lightmaps

textures/cc_ghospray/white_lightmap_1k
{
	qer_editorimage textures/ghost-lightmap/white_lightmap.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map textures/ghost-lightmap/white_lightmap.tga
		rgbGen identity
	}
}

textures/cc_ghospray/white_lightmap_1500
{
	qer_editorimage textures/ghost-lightmap/white_lightmap.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map textures/ghost-lightmap/white_lightmap.tga
		rgbGen identity
	}
}

textures/cc_ghospray/white_lightmap_2k
{
	qer_editorimage textures/ghost-lightmap/white_lightmap.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/ghost-lightmap/white_lightmap.tga
		rgbGen identity
	}
}

//broken glass

textures/cc_ghospray/broken_glass1
{
        qer_editorimage textures/ghost-custom/glass_1.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_1.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass2
{
        qer_editorimage textures/ghost-custom/glass_2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_2.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass3
{
        qer_editorimage textures/ghost-custom/glass_3.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_3.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass4
{
        qer_editorimage textures/ghost-custom/glass_4.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_4.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass5
{
        qer_editorimage textures/ghost-custom/glass_5.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_5.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass6
{
        qer_editorimage textures/ghost-custom/glass_6.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_6.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass7
{
        qer_editorimage textures/ghost-custom/glass_7.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_7.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass8
{
        qer_editorimage textures/ghost-custom/glass_8.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_8.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass9
{
        qer_editorimage textures/ghost-custom/glass_9.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_9.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass10
{
        qer_editorimage textures/ghost-custom/glass_10.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_10.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass11
{
        qer_editorimage textures/ghost-custom/glass_11.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_11.tga
                blendfunc filter
        }
}

textures/cc_ghospray/broken_glass12
{
        qer_editorimage textures/ghost-custom/glass_12.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-custom/glass_12.tga
                blendfunc filter
        }
}

//cracks copied from ghost-city

textures/cc_ghospray/crack_01
{
        qer_editorimage textures/ghost-city/crack_01.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_01.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_02
{
        qer_editorimage textures/ghost-city/crack_02.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_02.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_03
{
        qer_editorimage textures/ghost-city/crack_03.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_03.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_04
{
        qer_editorimage textures/ghost-city/crack_04.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_04.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_05
{
        qer_editorimage textures/ghost-city/crack_05.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_05.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_06
{
        qer_editorimage textures/ghost-city/crack_06.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_06.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_07
{
        qer_editorimage textures/ghost-city/crack_07.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_07.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_08
{
        qer_editorimage textures/ghost-city/crack_08.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_08.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_09
{
        qer_editorimage textures/ghost-city/crack_09.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_09.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_10
{
        qer_editorimage textures/ghost-city/crack_10.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_10.tga
                blendfunc filter
        }
}

textures/cc_ghospray/decal_crack_11
{
        qer_editorimage textures/ghost-city/crack_11.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/crack_11.tga
                blendfunc filter
        }
}

textures/cc_ghospray/bars
{
        qer_editorimage textures/ghost-city/bars.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost-city/bars.tga
                blendfunc filter
        }
}

//WEBS

textures/cc_ghospray/web
{
	qer_editorimage textures/ghost_runvanne/web.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web.tga
		blendfunc add
	}
}

textures/cc_ghospray/web_2
{
	qer_editorimage textures/ghost_runvanne/web_2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web_2.tga
		blendfunc add
	}
}

textures/cc_ghospray/web_3
{
	qer_editorimage textures/ghost_runvanne/web_3.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web_3.tga
		blendfunc add
	}
}

textures/cc_ghospray/web_4
{
	qer_editorimage textures/ghost_runvanne/web_4.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web_4.tga
		blendfunc add
	}
}

textures/cc_ghospray/web_5
{
	qer_editorimage textures/ghost_runvanne/web_5.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web_5.tga
		blendfunc add
	}
}

textures/cc_ghospray/web_6
{
	qer_editorimage textures/ghost_runvanne/web_6.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_runvanne/web_6.tga
		blendfunc add
	}
}

textures/cc_ghospray/cobweb
{
	qer_editorimage textures/ghost_custom/cob_webs.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_custom/cob_webs.tga
		blendfunc add
	}
}

textures/cc_ghospray/cobweb1
{
	qer_editorimage textures/ghost_custom/cob_webs1.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_custom/cob_webs1.tga
		blendfunc add
	}
}

textures/cc_ghospray/cobweb2
{
	qer_editorimage textures/ghost_custom/cob_webs2.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ghost_custom/cob_webs2.tga
		blendfunc add
	}
}


//glass

textures/cc_ghospray/glass_gold_tin
{
	qer_editorimage textures/pk02/hd_glass_gold.tga			
	qer_trans 0.4					
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm lightfilter		
	
	{
		map textures/pk02/hd_glass_gold.tga
                tcgen environment
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity	
	}

}

//shiny metal

textures/cc_ghospray/pk02_generic01b_C_shiny
{
	qer_editorimage textures/ghost_custom/pk02_generic01b_C.tga
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/ghost_custom/pk02_generic01b_C.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

//copied and tweaked telestickie shader

textures/cc_ghospray/vortex
{
	qer_editorimage textures/ghost_custom/vortex.tga
     	surfaceparm	trans
	surfaceparm nonsolid

	{
		map textures/ghost_custom/vortex.tga
		blendfunc gl_one gl_one
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		map texturesghost_custom/vortex.tga
		tcMod rotate 60
		blendfunc gl_one gl_one
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}

textures/cc_ghospray/vortex_2
{
	qer_editorimage textures/ghost_custom/vortex_2.tga
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/ghost_custom/vortex_2.tga
		blendfunc gl_one gl_one
		tcMod scale 2 2
		tcMod scroll -1 -1
	}

}

textures/cc_ghospray/vortex_3
{
	qer_editorimage textures/ghost_custom/vortex_3.tga
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/ghost_custom/vortex_3.tga
		blendfunc gl_one gl_one
		tcMod scale 2 2 
		tcMod scroll -.5 0
	}

}

textures/cc_ghospray/vortex_4
{
	qer_editorimage textures/ghost_custom/vortex_4.tga
	surfaceparm trans
	surfaceparm nonsolid


	{
		map textures/ghost_custom/vortex_4.tga
		blendfunc gl_one gl_one
		tcMod scale 3 3
		tcMod scroll .5 1
	}

}

//skins
textures/cc_ghospray/skin_1
{
	qer_editorimage textures/ghost_custom/wtf_1.tga
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost_custom/wtf_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cc_ghospray/skin_2
{
	qer_editorimage textures/ghost_custom/wtf_2.tga
	tessSize 128
	deformVertexes wave 100 sin 4 3 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ghost_custom/wtf_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//galaxy/planets decals/flares

textures/cc_ghospray/planet
{
        qer_editorimage textures/ghost_custom/planet_flare.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_1
{
        qer_editorimage textures/ghost_custom/planet_flare1.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare1.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_2
{
        qer_editorimage textures/ghost_custom/planet_flare2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare2.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_3
{
        qer_editorimage textures/ghost_custom/planet_flare3.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare3.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_4
{
        qer_editorimage textures/ghost_custom/planet_flare4.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare4.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_5
{
        qer_editorimage textures/ghost_custom/planet_flare5.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare5.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_6
{
        qer_editorimage textures/ghost_custom/planet_flare6.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare6.tga
                blendfunc add
        }
}

textures/cc_ghospray/planet_7
{
        qer_editorimage textures/ghost_custom/planet_flare7.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/planet_flare7.tga
                blendfunc add
        }
}


textures/cc_ghospray/galaxy_decal
{
        qer_editorimage textures/ghost_custom/galaxy_hd.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/galaxy_hd.tga
                blendfunc add
        }
}

textures/cc_ghospray/galaxy_decal2
{
        qer_editorimage textures/ghost_custom/galaxy_hd_2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/galaxy_hd_2.tga
                blendfunc add
        }
}

textures/cc_ghospray/nebula_decal
{
        qer_editorimage textures/ghost_custom/nebula_hd.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/nebula_hd.tga
                blendfunc add
        }
}

textures/cc_ghospray/galaxy_flare
{
        qer_editorimage textures/ghost_custom/galaxy_hd.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/galaxy_hd.tga
                blendfunc add
        }
}

textures/cc_ghospray/galaxy_flare
{
        qer_editorimage textures/ghost_custom/galaxy_hd_2.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/galaxy_hd_2.tga
                blendfunc add
        }
}

textures/cc_ghospray/nebula_flare
{
        qer_editorimage textures/ghost_custom/nebula_hd.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/nebula_hd.tga
                blendfunc add
        }
}


//arrows

textures/cc_ghospray/rl_arrow
{
	qer_editorimage textures/ghost_custom/rl_arrow.tga
	cull none
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/ghost_custom/rl_arrow.tga
		tcMod scroll 0 -.5
		blendfunc add
		rgbGen identity
	}
}

textures/cc_ghospray/gl_arrow
{
	qer_editorimage textures/ghost_custom/gl_arrow.tga
	cull none
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite
	{
		map textures/ghost_custom/gl_arrow.tga
		tcMod scroll 0 -.5
		blendfunc add
		rgbGen identity
	}
}

//rotate me in radiant for desired effect

textures/cc_ghospray/this_way_scroll
{
        qer_editorimage textures/ghost_custom/this_way_ar.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        {
                map textures/ghost_custom/this_way_ar.tga
                blendfunc add
		tcMod scroll .25 0
		rgbGen identity
        }
}

//phong shading

textures/cc_ghospray/nugget5_phong
{
 	q3map_nonplanar
	q3map_shadeangle 100
 	qer_editorimage textures/ghost-custom/nugget5.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
	{
		map textures/ghost-custom/nugget5.tga
		blendFunc filter
	}
}